import 'package:event_bus/event_bus.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mylibrary/utils/win_media.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';


final EventBus publicEventBus = EventBus();


///全局context
GlobalKey<NavigatorState> navigatorKey = GlobalKey<NavigatorState>();


BuildContext get appContext => navigatorKey.currentState?.overlay?.context;

NavigatorState get navigatorState => navigatorKey?.currentState;

int startPage = 1;

int pageLimit = 10;

bool centerTitle = true;

double defMargin = 15;

///Widget配置
Widget get pageLoading => SpinKitWave(color: Theme.of(appContext).primaryColor, type: SpinKitWaveType.start, size: getSp(24),);



/// **********************************************设置网络错误提示*************************************************************************************/

String CONNECT_TIMEOUT_MSG = "网络连接超时，请检查网络设置";
String RECEIVE_TIMEOUT_MSG = "服务器异常，请稍后重试！";
String SEND_TIMEOUT_MSG = "网络连接超时，请检查网络设置";
String HTTP_ERROR_MSG = "服务器异常，请稍后重试！";
String CANCEL_MSG = "请求已被取消，请稍后重试！";


/// **********************************************公用key*************************************************************************************/
const String loginKey = 'loginKey';

const String userKey = 'userKey';

const String themeKey = 'themeKey';

const kThemeUserDarkMode = 'kThemeUserDarkMode';

const kThemeColor = 'kThemeColor';


/// **********************************************EventBus公用类*************************************************************************************/
class CourseScheduleRefreshEvent {}