import 'package:dio/dio.dart';

class BaseResp<T> {

  String message = "网络请求失败";
  String code = '-1';
  T data;
  Response response;

  BaseResp(this.code, this.message, this.data, this.response);

  @override
  String toString() {
    StringBuffer sb = new StringBuffer('{');
    sb.write(",\"code\":$code");
    sb.write(",\"msg\":\"$message\"");
    sb.write(",\"data\":\"$data\"");
    sb.write('}');
    return sb.toString();
  }
}

