
import 'package:flutter_mylibrary/http/base_response_bean.dart';

/// 接口的code没有返回为true的异常
class NotSuccessException implements Exception {
  String message;

  NotSuccessException.fromRespData(BaseResp respData) {
    message = respData.message;
  }

  @override
  String toString() {
    return 'NotSuccessException{respData: $message}';
  }
}

/// 用于未登录等权限不够,需要跳转授权页面
class UnAuthorizedException implements Exception {
  const UnAuthorizedException();

  @override
  String toString() => 'UnAuthorizedException';
}